DynamicJava Javadoc: Class TryStatement

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## koala.dynamicjava.tree
Class TryStatement

    java.lang.Object
      |
      +--koala.dynamicjava.tree.Node
            |
            +--koala.dynamicjava.tree.Statement
                  |
                  +--koala.dynamicjava.tree.TryStatement

public class TryStatement
extends Statement

This class represents the try statement nodes of the syntax tree

Fields inherited from class koala.dynamicjava.tree.Node
`BEGIN_COLUMN, BEGIN_LINE, END_COLUMN, END_LINE, FILENAME`

Constructor Summary
`TryStatement(Node tryB, java.util.List catchL, Node fin, java.lang.String fn, int bl, int bc, int el, int ec)` Creates a new while statement

Method Summary
`java.lang.Object` | `acceptVisitor(Visitor visitor)` Allows a visitor to traverse the tree
`java.util.List` | `getCatchStatements()` Gets the catch statements
`Node` | `getFinallyBlock()` Gets the finally block
`Node` | `getTryBlock()` Gets the try block

Methods inherited from class koala.dynamicjava.tree.Node
`addPropertyChangeListener, addPropertyChangeListener, firePropertyChange, firePropertyChange, firePropertyChange, getBeginColumn, getBeginLine, getEndColumn, getEndLine, getFilename, getProperties, getProperty, hasProperty, removePropertyChangeListener, removePropertyChangeListener, setBeginColumn, setBeginLine, setEndColumn, setEndLine, setFilename, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TryStatement

    public TryStatement(Node tryB,
                        java.util.List catchL,
                        Node fin,
                        java.lang.String fn,
                        int bl,
                        int bc,
                        int el,
                        int ec)

  Creates a new while statement
  Parameters:
    `tryB` - the try block
    `catchL` - the catch list
    `fin` - the finally block
    `fn` - the filename
    `bl` - the begin line
    `bc` - the begin column
    `el` - the end line
    `ec` - the end column

Method Detail

### getTryBlock

    public Node getTryBlock()

  Gets the try block

### getCatchStatements

    public java.util.List getCatchStatements()

  Gets the catch statements

### getFinallyBlock

    public Node getFinallyBlock()

  Gets the finally block

### acceptVisitor

    public java.lang.Object acceptVisitor(Visitor visitor)

  Allows a visitor to traverse the tree
  Overrides:
    `acceptVisitor` in class `Node`
  Parameters:
    `visitor` - the visitor to accept

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001 Stephane Hillion. All Rights Reserved.